org.jbpm.kie.services.impl.query

## Class SqlQueryDefinition

- java.lang.Object
- - org.jbpm.kie.services.impl.query.SqlQueryDefinition

- All Implemented Interfaces:
    Serializable, QueryDefinition

      public class SqlQueryDefinition
      extends Object
      implements QueryDefinition, Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jbpm.services.api.query.model.QueryDefinition

      `QueryDefinition.Target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlQueryDefinition(String name, String source)`
    `SqlQueryDefinition(String name, String source, QueryDefinition.Target target)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getColumns()` Returns resolved columns types once the query was successfully registered.
    `String` | `getExpression()` Returns expression used to collect/fetch data as part of the query
    `String` | `getName()` Return unique name of this query
    `String` | `getSource()` Returns source location of this query Depends on exact type of the query definition (e.g. data base location - data source name)
    `QueryDefinition.Target` | `getTarget()` Returns target of this query definition
    `void` | `setColumns(Map<String,String> columns)`
    `void` | `setExpression(String expression)` Sets expression used to collect/fetch data as part of the query
    `void` | `setName(String name)` Sets unique name for this query definition
    `void` | `setSource(String source)` Sets source location of this query Depends on exact type of the query definition (e.g. data base location - data source name)
    `void` | `setTarget(QueryDefinition.Target target)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlQueryDefinition

          public SqlQueryDefinition(String name,
                                    String source)

    - #### SqlQueryDefinition

          public SqlQueryDefinition(String name,
                                    String source,
                                    QueryDefinition.Target target)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `QueryDefinition`
      Return unique name of this query
      Specified by:
        `getName` in interface `QueryDefinition`
      Returns:

    - #### setName

          public void setName(String name)

      Description copied from interface: `QueryDefinition`
      Sets unique name for this query definition
      Specified by:
        `setName` in interface `QueryDefinition`

    - #### getSource

          public String getSource()

      Description copied from interface: `QueryDefinition`
      Returns source location of this query Depends on exact type of the query definition (e.g. data base location - data source name)
      Specified by:
        `getSource` in interface `QueryDefinition`
      Returns:

    - #### setSource

          public void setSource(String source)

      Description copied from interface: `QueryDefinition`
      Sets source location of this query Depends on exact type of the query definition (e.g. data base location - data source name)
      Specified by:
        `setSource` in interface `QueryDefinition`

    - #### getExpression

          public String getExpression()

      Description copied from interface: `QueryDefinition`
      Returns expression used to collect/fetch data as part of the query
      Specified by:
        `getExpression` in interface `QueryDefinition`
      Returns:

    - #### setExpression

          public void setExpression(String expression)

      Description copied from interface: `QueryDefinition`
      Sets expression used to collect/fetch data as part of the query
      Specified by:
        `setExpression` in interface `QueryDefinition`

    - #### getTarget

          public QueryDefinition.Target getTarget()

      Description copied from interface: `QueryDefinition`
      Returns target of this query definition
      Specified by:
        `getTarget` in interface `QueryDefinition`
      Returns:

    - #### setTarget

          public void setTarget(QueryDefinition.Target target)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getColumns

          public Map<String,String> getColumns()

      Description copied from interface: `QueryDefinition`
      Returns resolved columns types once the query was successfully registered.
      Specified by:
        `getColumns` in interface `QueryDefinition`

    - #### setColumns

          public void setColumns(Map<String,String> columns)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.